summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorLucas de Castro Borges <lucas@gnuabordo.com.br>2024-04-22 00:35:53 -0300
committerLucas de Castro Borges <lucas@gnuabordo.com.br>2024-04-22 00:35:53 -0300
commit5f01c706267c595de92406a32e7f31ef5056c2d0 (patch)
treed1e74ef54efc41ada622900fe3e2a50dee44a237 /tools
parent09fcc751ef158898c315ebc9299a0fa3a722d914 (diff)
New upstream version 2.0.3preupstream/2.0.3pre
Diffstat (limited to 'tools')
-rwxr-xr-xtools/rm_hardinfo.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/tools/rm_hardinfo.sh b/tools/rm_hardinfo.sh
new file mode 100755
index 00000000..7b4480a8
--- /dev/null
+++ b/tools/rm_hardinfo.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+# when you want to remove the hardinfo* mess from a make install
+
+if [[ $EUID -ne 0 ]]; then
+ echo "This script must be run as root."
+ exit 1
+fi
+
+remove_hardinfo() {
+ BASEDER="$1"
+ echo "Removing hardinfo* from $BASEDER ..."
+ rm -rf $BASEDER/share/hardinfo*
+ rm -rf $BASEDER/lib/hardinfo*
+ rm -f $BASEDER/share/locale/*/LC_MESSAGES/hardinfo*.mo
+ rm -f $BASEDER/bin/hardinfo*
+ rm -f $BASEDER/share/applications/hardinfo*.desktop
+ rm -f $BASEDER/share/doc/hardinfo*
+ rm -f $BASEDER/share/man/man1/hardinfo*.1.gz
+ rm -f $BASEDER/share/pixmaps/hardinfo*.xpm
+ rm -f $BASEDER/share/menu/hardinfo*
+ #locate -e hardinfo | grep "$BASEDER"
+}
+
+# add some other base install path here
+remove_hardinfo "/usr/local"
+
+echo "Removing hardinfo* settings..."
+rm -rf ~/.config/hardinfo*